请选择 进入手机版 | 继续访问电脑版

唐康林NX二次开发论坛

 找回密码
 立即注册
搜索
热搜: nxopen ufun
查看: 310|回复: 0

[技术分享] UF_CURVE_create_arc_3point通过三点画圆的用法!

[复制链接]

532

主题

700

帖子

2990

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
2990
发表于 2016-8-25 17:00:49 | 显示全部楼层 |阅读模式
刚好有同学问到,通过三画圆,这个创建出来可以是关联的,有特征的。
直接相当于NX命令中,插入→曲线→圆弧。
写了一个例子,大家可以看一下。
  1. //创建第一个点
  2. double poin1[3] = { 100.0, 0.0, 50.0 };
  3. tag_t point1TAG = NULL_TAG;
  4. UF_CURVE_create_point ( poin1, &point1TAG);

  5. //创建第二个点
  6. double poin2[3] = { 0.0, 100.0, 50.0};
  7. tag_t point2TAG = NULL_TAG;
  8. UF_CURVE_create_point ( poin2, &point2TAG);

  9. //创建第三个点
  10. double poin3[3] = { -100.0, 0.0, 50.0};
  11. tag_t point3TAG = NULL_TAG;
  12. UF_CURVE_create_point ( poin3, &point3TAG);

  13. //创建基准平面
  14. double origin_point[3] = { 0.0, 0.0, 50.0 };
  15. double plane_normal[3] = { 0.0, 0.0, 1.0 };
  16. tag_t planTAG = NULL_TAG;
  17. UF_MODL_create_fixed_dplane( origin_point, plane_normal, &planTAG);

  18. //三点创建圆
  19. UF_CURVE_limit_t limit[2];   
  20. UF_CURVE_limit_p_t  limit_p[2];
  21. limit_p[0] = &limit[0];
  22. limit_p[1] = &limit[1];

  23. limit[0].limit_type = UF_CURVE_limit_value;
  24. limit[0].value = 10.0;
  25. limit[0].limiting_obj = NULL_TAG;

  26. limit[1].limit_type = UF_CURVE_limit_value;
  27. limit[1].value = 225.0;
  28. limit[1].limiting_obj = NULL_TAG;

  29. tag_t areFeatTAG = NULL_TAG;
  30. UF_CURVE_create_arc_3point( point1TAG, point3TAG, point2TAG, limit_p, planTAG, true , &areFeatTAG );
复制代码


回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-6-19 01:28 , Processed in 0.084872 second(s), 25 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表